Subject: Re: [Teas] comment on draft-ietf-mpls-residence-time

From: Gregory Mirsky <[email-masked]>
Date: Tue, 2 Feb 2016 01:35:55 +0000

Hi Lou,
thank you for your thoughtful recommendation. I agree that we can use LSP_ATTRIBUTES [RFC5420]. I'll prepare update and share with you, MPLS, TEAS , and CCAMP WGs. 

	Regards,
		Greg

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Sunday, January 31, 2016 6:38 AM
To: [email-masked]; [email-masked]
Subject: comment on draft-ietf-mpls-residence-time

Hi,
	I see you propose defining a new RSVP object class that has application specific scope.  As I'm sure you know the RSVP class-number space is really small so it's best to avoid allocating new object classes whenever possible.  I believe there is an existing object class that you can use for your purposes -- the LSP_ATTRIBUTES object.

Have you considered carrying RTM Hops in 1 (or three,  depending on if you want sub-tlvs or not) new RTM Attribute TLV (or TLVs)?

If not, I think it is worth exploring the viability of this approach or any other approach that doesn't require the allocation of a new class-num.

Lou
(As contributor and TEAS co-chair)

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 4 Feb 2016 07:10:47 +0000

Hi Lou,
I've followed on your suggestion to investigate use of already available objects. I’ve looked into LSP_ATTRIBUTES Object [RFC5420]. Per my analysis we can consider two options:
•         introduce RSO sub-objects with RTM_Capability sub-TLVs ordered as defined in the current RTM draft, to be used in LSP_ATTRIBUTES Object;
•         use RRO Attributes sub-object that will be present in RRO Object and define new RTM Capability Flag(s) from IANA Attribute Flags registry. Rules defined in Section 7.3 RFC 5420 would apply.
Number of Attribute flags is variable, thus the latter option is as flexible as the former or current option documented in our draft.
 
Greatly appreciate your consideration, comments, suggestions.

	Regards,
		Greg

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Sunday, January 31, 2016 10:38 PM
To: [email-masked]; [email-masked]
Subject: comment on draft-ietf-mpls-residence-time

Hi,

Lou

---

From: Lou Berger <[email-masked]>
Date: Thu, 04 Feb 2016 06:52:06 -0500

Greg,

Thank you for looking at this. See below.

On February 4, 2016 2:11:12 AM Gregory Mirsky <[email-masked]> 
wrote:

> Hi Lou,
> I've followed on your suggestion to investigate use of already available 
> objects. I’ve looked into LSP_ATTRIBUTES Object [RFC5420]. Per my analysis 
> we can consider two options:
> •         introduce RSO sub-objects with RTM_Capability sub-TLVs ordered as 
> defined in the current RTM draft, to be used in LSP_ATTRIBUTES Object;

Given 5420 is silent on TLV ordering, I think you need a single RTM 
Attributes TLV, which contains your sub objects carried as sub-tlvs.

I think the new TLV could be allowed in both LSP_ATTRIBUTES and 
LSP_REQUIRED_ATTRIBUTES objects to cover when RTM is optional/required e2e. 
Just LSP_ATTRIBUTES would be equivalent to what you currently define.

> •         use RRO Attributes sub-object that will be present in RRO Object 
> and define new RTM Capability Flag(s) from IANA Attribute Flags registry. 
> Rules defined in Section 7.3 RFC 5420 would apply.
> Number of Attribute flags is variable, thus the latter option is as 
> flexible as the former or current option documented in our draft.
>

I ruled out the second option in my earlier email as I generally consider 
RROs  a weak approach to supporting LSP control (since they are subject to 
all sorts of generally policy related processing and are 'at risk' in large 
messages.)

That said, the introduction of address to this object does required a note 
in the document on the policy implications, e.g., that processing at  
boundaries such as envisioned in rfc4208 may require rro-like policy 
processing. But this doesn't change my feeling that piggybacking control on 
RRO is generally a 'bad idea'.

Lou

> 	I see you propose defining a new RSVP object class that has application 
> specific scope.  As I'm sure you know the RSVP class-number space is really 
> small so it's best to avoid allocating new object classes whenever 
> possible.  I believe there is an existing object class that you can use for 
> your purposes -- the LSP_ATTRIBUTES object.
>
> Have you considered carrying RTM Hops in 1 (or three,  depending on if you 
> want sub-tlvs or not) new RTM Attribute TLV (or TLVs)?
>
> If not, I think it is worth exploring the viability of this approach or any 
> other approach that doesn't require the allocation of a new class-num.
>
> Lou

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 10 Feb 2016 19:06:53 +0000

Hi Lou,
thank you for your thoughtful comments and insightful suggestions. I've updated the draft to address them. Now we propose new RTM_SET sub-object. If RTM required RSSO placed in LSP_ATTRIBUTES object. I've looked into definition of LSP_REQUIRED_ATTRIBUTES object and believe that it is not well suited for RTM because in heterogeneous environment, where not all LSRs understand RSSO, such LSR will reject Path message. Please let us know whether changes address your comments.

Dear All,
appreciate your questions, comments,  suggestions.

	Regards,
		Greg

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Thursday, February 04, 2016 3:52 AM
To: Gregory Mirsky; [email-masked]; [email-masked]; TEAS WG; CCAMP ([email-masked])
Subject: RE: comment on draft-ietf-mpls-residence-time

Greg,

On February 4, 2016 2:11:12 AM Gregory Mirsky <[email-masked]>
wrote:

> Hi Lou,
> I've followed on your suggestion to investigate use of already 
> available objects. I’ve looked into LSP_ATTRIBUTES Object [RFC5420]. 
> Per my analysis we can consider two options:

Given 5420 is silent on TLV ordering, I think you need a single RTM Attributes TLV, which contains your sub objects carried as sub-tlvs.

I think the new TLV could be allowed in both LSP_ATTRIBUTES and LSP_REQUIRED_ATTRIBUTES objects to cover when RTM is optional/required e2e. 
Just LSP_ATTRIBUTES would be equivalent to what you currently define.

> flexible as the former or current option documented in our draft.

I ruled out the second option in my earlier email as I generally consider RROs  a weak approach to supporting LSP control (since they are subject to all sorts of generally policy related processing and are 'at risk' in large
messages.)

That said, the introduction of address to this object does required a note in the document on the policy implications, e.g., that processing at boundaries such as envisioned in rfc4208 may require rro-like policy processing. But this doesn't change my feeling that piggybacking control on RRO is generally a 'bad idea'.

Lou

> 	I see you propose defining a new RSVP object class that has 
> application specific scope.  As I'm sure you know the RSVP 
> class-number space is really small so it's best to avoid allocating 
> new object classes whenever possible.  I believe there is an existing 
> object class that you can use for your purposes -- the LSP_ATTRIBUTES object.
>
> Have you considered carrying RTM Hops in 1 (or three,  depending on if 
> you want sub-tlvs or not) new RTM Attribute TLV (or TLVs)?
>
> If not, I think it is worth exploring the viability of this approach 
> or any other approach that doesn't require the allocation of a new class-num.
>
> Lou

Subject: New Version Notification for draft-ietf-mpls-residence-time-02.txt
From: "[email-masked]" <[email-masked]>
To: Alexander Vainshtein <[email-masked]>, Gregory Mirsky <[email-masked]>, Stefano Ruffini <[email-masked]>, John Drake <[email-masked]>, "Sasha Vainshtein" <[email-masked]>, Eric Gray <[email-masked]>, Stewart Bryant <[email-masked]>, Eric Gray <[email-masked]>
Date: Wed, 10 Feb 2016 18:50:14 +0000

A new version of I-D, draft-ietf-mpls-residence-time-02.txt
has been successfully submitted by Greg Mirsky and posted to the
IETF repository.

Name:		draft-ietf-mpls-residence-time
Revision:	02
Title:		Residence Time Measurement in MPLS network
Document date:	2016-02-10
Group:		mpls
Pages:		24
URL:            https://www.ietf.org/internet-drafts/draft-ietf-mpls-residence-time-02.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-mpls-residence-time/
Htmlized:       https://tools.ietf.org/html/draft-ietf-mpls-residence-time-02
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-residence-time-02

Abstract:
   This document specifies G-ACh based Residence Time Measurement and
   how it can be used by time synchronization protocols being
   transported over MPLS domain.

   Residence time is the variable part of propagation delay of timing
   and synchronization messages and knowing what this delay is for each
   message allows for a more accurate determination of the delay to be
   taken into account in applying the value included in a PTP event
   message.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat